Support
- GET /support/bundle/download/{job_id}
Download Support Bundle
Downloads the support bundle archive if the job is ready. The file is deleted after download.
- Parameters:
job_id (string) – Job ID
- Status Codes:
200 OK – Support bundle archive
404 Not Found – Not ready or not found
- POST /support/bundle/generate
Generate Support Bundle
Initiates collection of /var/log and system diagnostics from management and all configured agent nodes. Returns a job_id to poll status.
- Request JSON Object:
password (string) – (required)
- Status Codes:
202 Accepted – job_id and status
400 Bad Request – Bad Request
409 Conflict – A bundle is already in progress
500 Internal Server Error – Internal Server Error
- GET /support/bundle/status/{job_id}
Get Support Bundle Status
Returns the current status of a support bundle generation job.
- Parameters:
job_id (string) – Job ID
- Status Codes:
200 OK – status and error
404 Not Found – Job not found